<!DOCTYPE html>
<!--writePasswordsHashesSalted:26ce9c105fe3a1638d833580eb02c9c11db152e3d573f18b5252bd283b3b89b9-->
<!--passwordClue:-->
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" data-keep="true">

<script src="aotra.js" charset="UTF-8" type="text/javascript" data-keep="true">
</script>
<!--
	// To generate the password hashes above, use the aotra back-end file (typically a PHP file) that way : 
	// https://localhost/aotra.php?actionType=GENERATEPASSWORDHASH&saltKey=<your salt key>&clearTextPassword=<your password>
	// CAUTION : In order of this to work, the salt key <your salt key> must be the same as in the server back-end file (typically a PHP «aotra.php» file) on server.
	-->


	<!--
	// Main aotra Library (embedding all its dependencies) :
	// Configuration with local file for your tests <title>Untitled aotra page</title>: 
	// <script src="https://alqemia.com/aotra-speech.js" charset="UTF-8" type="text/javascript"> 
	// Configuration with distant latest file (normal configuration) : 
	//
-->

<!-- // HTML page title (will be set at aotraScreen initialization) : -->

<title data-keep="true">Page d'accueil du projet Alambic - «Alqemia»</title>

<style type="text/css" data-keep="true">
/*	CSS external pages links :  */
/*		<link rel="stylesheet" type="text/css" href="index_html/mainStyle.css"> */

/*CSS built-in useful styles classes :*/
ol.gridList {
	min-width: 100%;
	list-style-type: none;
	margin: 0;
	padding: 0;
}

ol.gridList li {
	display: block;
	min-width: 30%;
	min-height: 30%;
	float: left;
}

span.link {
	cursor: pointer;
	color: #ffffff;
	background: none;
	text-decoration: underline;
}

span.link:hover {
	background: gray;
	color: white;
}

span.linkBackwards {
	cursor: pointer;
	color: #AAAAAA;
	background: #444444;
	text-decoration: underline;
}

span.linkBackwards:hover {
	background: white;
	color: gray;
}

.speechable {
	background: #7FEDFF;
	cursor: pointer;
	border: #8888FF 2px solid;
	padding: 4px;
	-moz-border-radius: 8px;
	border-radius: 8px;
	display: inline-block;
}

/*PERSONNALIZED STYLE*/
.bubbleText {
	font-family: "Helvetica", sans-serif;
}

h1 {
	color: WHITE;
}

a {
	color: GRAY;
}

li {
	padding-top: 1%;
}

ul {
	vertical-align: middle;
	list-style-type: none;
}
</style>

<script type="text/javascript" data-keep="true">
	// Google Analytics code (optional)
	//initGoogleAnalytics("UA-41825284-1","mooo.com");

	// ===============================================CONFIGURATION PART ===============================================

	window.config = new Config();
	config.aotraScreen = new Config();
	config.bubble = new Config();
	config.link = new Config();

	//	THE MAIN DEFAULT CONFIGURATION : (DO NEVER USE «null» VALUES, PLEASE)
	// (these values are used, among other, to initialize new created bubbles)

	config.aotraScreen.title = "Page d'index du projet Alambic";
	config.aotraScreen.background = "";
	config.aotraScreen.borderStyle = "";
	config.aotraScreen.isEditable = false;
	config.aotraScreen.navigationMode = "linksOnly";
	config.aotraScreen.moveAnimation = "linear";
	config.aotraScreen.zoomingAnimation = "instantly"; // you can set "noZoom" or leave empty to disable zooming capabilities.
	config.aotraScreen.voiceName = "";
	config.aotraScreen.defaultLanguageLabel = "fr";

	config.bubble.mold = "circle";
	config.bubble.content = "";
	config.bubble.fontSize = 12;
	config.bubble.isOpenableClosable = true;
	config.bubble.width = 300;
	config.bubble.height = 300;
	config.bubble.color = "#FFCD48";
	config.bubble.borderStyle = "ridge 2px gray";
	config.bubble.openCloseAnimation = "linear";
	config.bubble.openedOnCreate = "true";
	config.bubble.fixedStrategy = "";

	config.link.label = "Link to bubble ";
	config.link.backwardsLabel = "Retour...";
	config.link.size = 50;
	config.link.mold = "littleBeam";
	config.link.color = "#FFAA00";
	config.link.routingStrategy = "straightLine";


	// PLANE 2 :
	var plane2Name = "plane2";
	config.aotraScreen[plane2Name] = new Config();
	config.aotraScreen[plane2Name].title = "Page d'exemple";
	config.aotraScreen[plane2Name].background = "";
	config.aotraScreen[plane2Name].borderStyle = "";
	config.aotraScreen[plane2Name].isEditable = false;
	config.aotraScreen[plane2Name].navigationMode = "linksOnly";
	config.aotraScreen[plane2Name].moveAnimation = "linear";
	config.aotraScreen[plane2Name].zoomingAnimation = "instantly"; // leave empty to disable zooming capabilities.
	config.aotraScreen[plane2Name].voiceName = "";

	config.bubble[plane2Name] = new Config();
	config.bubble[plane2Name].mold = "circle";
	config.bubble[plane2Name].content = "";
	config.bubble[plane2Name].fontSize = 12;
	config.bubble[plane2Name].isOpenableClosable = true;
	config.bubble[plane2Name].width = 200;
	config.bubble[plane2Name].height = 200;
	config.bubble[plane2Name].color = "#888888";
	config.bubble[plane2Name].borderStyle = "ridge 2px gray";
	config.bubble[plane2Name].openCloseAnimation = "linear";
	config.bubble[plane2Name].openedOnCreate = "true";
	config.bubble[plane2Name].fixedStrategy = "";

	config.link[plane2Name] = new Config();
	config.link[plane2Name].label = "Link to bubble ";
	config.link[plane2Name].backwardsLabel = "Précédent...";
	config.link[plane2Name].size = 5;
	config.link[plane2Name].mold = "dotted";
	config.link[plane2Name].color = "#888888";
	config.link[plane2Name].routingStrategy = "straightLine";
</script>

</head>
<body>
	<div
		style="pointer-events: auto; position: fixed; top: 0px; left: 0px; z-index: 0; overflow: hidden; width: 100%; height: 100%;"
		id="aotraScreenDiv" data-keep="true"></div>

	<script type="text/javascript" data-keep="true">
		// CODE TO INITIALIZE THE AOTRASCREEN :
		aotraScreenJSFooterInit();
	</script>

<script id="xmlModel" type="application/xml" data-keep="true">

<aotraScreen title="Page d'accueil du projet Alambic - «Alqemia»" moveAnimation="linear" navigationMode="bubblesOnly" zoomingAnimation="instantly" serversURLs="alqemia.com,localhost" mobile="true">


<plane name="aotra" parallaxBackground="index_html/images/0CodeLogo_background_v1.png" scroll="heuroptic">
<config>
{"bubble":{"color":"#ffffff","borderStyle":"solid black 2px"}}
</config>
<bubble name="bubble_24" position="-772 0" size="500 500" mold="circle" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1000" parallaxBackground="index_html/images/screw-798946_1280.jpg">
<content>
<br /><br /><h2 style="text-align: center;text-transform:uppercase"><font face="helvetica" size="6">a </font><img style="vertical-align:top" src="/index_html/images/aotraLogo_64.png" alt="aotraLogo_64.png" width="8%"> <span style="font-family: helvetica; font-size: xx-large;">t r a</span></h2><div style="text-align: right;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica" size="4"><i> Un CMS simple pour des gens complexes</i></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /></font><h2><font face="helvetica"><br /><font size="5"><span class="link" data-to="bubble_1">Technique</span></font></font></h2></div><div style="text-align: center;"><br /></div><div style="text-align: center;"><font face="helvetica" size="5"><b><span class="link" data-to="bubble_25">Simplicité</span></b></font></div><div style="text-align: center;"><font face="helvetica" size="5"><b><span class="link" data-to="bubble_25"><br /></span></b></font></div><div style="text-align: center;"><font face="helvetica" size="5"><b><span class="link" data-to="bubble_26">Dynamisme</span></b></font></div><div style="text-align: center;"><font face="helvetica" size="5"><b><span class="link" data-to="bubble_26"><br /></span></b></font></div><div style="text-align: center;"><font face="helvetica" size="5"><b><span class="link" data-to="bubble_27">Innovation</span></b></font></div><div style="text-align: right;"><br /></div><div><br /></div><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>
<content language="en">
<br /><h2 style="text-align: center;text-transform:uppercase"><font face="helvetica" size="6">A </font><img style="vertical-align:top" src="/index_html/images/aotraLogo_64.png" alt="aotraLogo_64.png" width="8%"> <span style="font-family: helvetica; font-size: xx-large;">t r a</span></h2><div style="text-align: right;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica" size="4"><i> A simple CMS for complex people</i></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><br /><h2><font face="helvetica"><font size="5"><span class="link" data-to="bubble_1">Technical</span></font></font></h2></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><br /></div><div style="text-align: center;"><br /></div><div style="text-align: center;"><font face="helvetica" size="5"><b><span class="link" data-to="bubble_25">Simplicity</span></b></font></div><div style="text-align: center;"><font face="helvetica" size="5"><b><span class="link" data-to="bubble_25"><br /></span></b></font></div><div style="text-align: center;"><font size="5"><br /></font></div><div style="text-align: center;"><font face="helvetica" size="5"><b><span class="link" data-to="bubble_26">Dynamism</span></b></font></div><div style="text-align: center;"><font face="helvetica" size="5"><b><span class="link" data-to="bubble_26"><br /></span></b></font></div><div style="text-align: center;"><font size="5"><br /></font></div><div style="text-align: center;"><font face="helvetica" size="5"><b><span class="link" data-to="bubble_27">Innovation</span></b></font></div><div style="text-align: right;"><br /></div><div><br /></div><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>


</bubble>

<bubble name="bubble_25" position="-771.6558525313794 961.1690899455385" size="370 370" mold="circle" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1001" parallaxBackground="index_html/images/macro-800234_1280.jpg">
<content>
<br /><br /><br /><br /><h2><span style="font-family: helvetica; font-size: xx-large;">Simplicité</span><br /></h2><div style="text-align: right;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><i> - Ce qui se conçoit bien se conçoit simplement</i></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><b><br /><span class="link" data-to="bubble_3">Créer et bâtir un site web sans code en quelques clics !</span></b></font></div><div style="text-align: right;"><br /></div><div style="text-align: right;"><br /></div><div style="text-align: center;"><font size="6"><span class="link" data-to="bubble_26">&gt;</span></font></div><div style="text-align: right;"><br /></div><div style="text-align: right;"><br /></div><div><br /></div><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>
<content language="en">
<br /><br /><h2><span style="font-family: helvetica; font-size: xx-large;">Simplicity</span><br /></h2><div style="text-align: right;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><i> - What is well conceived is simply conceived</i></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><b><br /><span class="link" data-to="bubble_3">Create and build a website with a few clicks!</span></b></font></div><div style="text-align: right;"><br /></div><div style="text-align: right;"><br /></div><div style="text-align: center;"><font size="6"><span class="link" data-to="bubble_26">&gt;</span></font></div><div style="text-align: right;"><br /></div><div style="text-align: right;"><br /></div><div><br /></div><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>


</bubble>

<bubble name="bubble_26" position="0 1495.5929774212148" size="300 300" mold="circle" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1002" parallaxBackground="index_html/images/skateboard-101781_1280.jpg">
<content>
<br /><br /><br /><b><span style="font-family: helvetica; font-size: xx-large;">Dynamisme</span></b><br /><div style="text-align: right;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><i> - Le web est un média différent</i></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><b><br /><span class="link" data-to="bubble_5">Pourquoi se contenter de défiler quand on peut naviguer ?</span></b></font></div><div style="text-align: right;"><br /></div><div style="text-align: center;"><font size="6"><br /><span class="link" data-to="bubble_27">&gt;</span></font></div><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>
<content language="en">
<br /><br /><br /><b><span style="font-family: helvetica; font-size: xx-large;">Dynamism</span></b><br /><div style="text-align: right;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><i> - The web is a different media<br /></i></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><b><br /><span class="link" data-to="bubble_5">Why being satisfied with scrolling when you can navigate?</span></b></font></div><div style="text-align: right;"><br /></div><div style="text-align: center;"><font size="6"><br /><span class="link" data-to="bubble_27">&gt;</span></font></div><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>


</bubble>

<bubble name="bubble_27" position="778.340198041755 961.1690899455385" size="300 300" mold="circle" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1003" parallaxBackground="index_html/images/architecture-250063_1280.jpg">
<content>
<br /><br /><b><span style="font-family: helvetica; font-size: xx-large;">Innovation</span></b><br /><div style="text-align: right;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><i> - L’avenir du web ? Il se joue ici et maintenant.</i></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /><span class="link" data-to="bubble_10">Détails</span><br /><br /><span class="link" data-to="bubble_9">Open-Source</span><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><b><br /><span class="link" data-to="bubble_7">Le web de demain est à votre portée!</span></b></font></div><div style="text-align: right;"><br /></div><div><br /></div><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>
<content language="en">
<br /><br /><b><span style="font-family: helvetica; font-size: xx-large;">Innovation</span></b><br /><div style="text-align: right;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><i> - Web future ? Here and now.</i></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /><span class="link" data-to="bubble_10">Détails</span><br /><br /><span class="link" data-to="bubble_9">Open-Source</span><br /></font></div><div style="text-align: center;"><font face="helvetica"><br /></font></div><div style="text-align: center;"><font face="helvetica"><b><br /><span class="link" data-to="bubble_7">The future web is at your reach!</span></b></font></div><div style="text-align: right;"><br /></div><div><br /></div><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>


</bubble>

<bubble name="bubble_3_1" position="-1930.0995645837254 961.1690899455385" size="300 500" mold="rounded" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1004">
<content>
<br /><h3 style="text-align: center;"><font face="helvetica">Un CMS facile à utiliser</font></h3><div><font face="helvetica"><br /></font></div><div><font face="helvetica">L’aotra, c’est un CMS (système de gestion de contenus) complet où vous pouvez ajouter des bulles, des documents, images et vidéos et les lier ensemble en un clic et de manière intuitive !</font></div><div><font face="helvetica"><br /></font></div><div style="text-align: center;"><img src="index_html/images/2015-06-17%2012-38-33.png" alt="2015-06-17 12-38-33.png" width="40%"> <font face="helvetica"><br /></font></div><div><font face="helvetica"><br /></font></div><div><br /><h3 style="text-align: center;"><font face="helvetica">Une infrastructure minimale<br /></font></h3><font face="helvetica"><br />Pour faire fonctionner un site en aotra, une simple page HTML suffit ! Pas besoin de base de données ! Aucun conteneur d’application ou d’installation back-end n’est nécessaire pour exploiter toute la puissance de ce CMS.<br /><br /><br /></font><font face="helvetica"><div><div align="center"><img src="index_html/images/Screenshot from 2015-06-17 19:53:56.png" alt="Screenshot from 2015-06-17 19:53:56.png" width="90%"><br /></div><br /></div><br /></font></div><h3 style="text-align: center;"><font face="helvetica">Vous gardez le contrôle sur votre site</font></h3><div><font face="helvetica"><br /></font></div><div><span style="font-family: helvetica;">L’aotra, c’est également la possibilité d’éditer directement le code source à tout moment pour pousser la personnalisation au plus loin pour les utilisateurs plus techniques:<br /><br /></span><font face="helvetica"><br /><div style="text-align: center;"><img src="/index_html/images/2015-06-17%2012-41-31.png" alt="2015-06-17 12-41-31.png" width="70%"> </div></font></div><div><br /></div><div><br /></div><div style="text-align: center;"><font size="6"><br /><span class="link" data-to="bubble_26">&gt;</span></font></div><div><br /></div><div><br /></div><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>


</bubble>

<bubble name="bubble_4_2" position="180 71" size="180 170" mold="rounded" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" fixedStrategy="fixed" zIndex="1022">
<content>
<div></div><div align="center"><font face="helvetica" size="4"><b><span class="link" data-mold="invisible" data-to="bubble_24"><br />-Accueil-</span></b></font></div><br /><div align="center"><font face="helvetica" size="4"><b><span class="link" data-to="bubble_8" data-mold="invisible"> À propos</span></b></font></div><br /><div align="center"><font face="helvetica" size="4"><b><span class="link" data-to="bubble_2" data-mold="invisible">Contact</span></b></font></div>
</content>
<content language="en">
<div align="center"><font face="helvetica" size="4"><b><span class="link" data-mold="invisible" data-to="bubble_24"><br />Home<br /></span></b></font><font face="helvetica" size="4"><b><span class="link" data-to="bubble_8" data-mold="invisible"></span></b></font><br /></div><font face="helvetica" size="4"><b><span class="link" data-to="bubble_8" data-mold="invisible"></span></b></font><font face="helvetica" size="4"><b><span class="link" data-mold="invisible" data-to="bubble_24"></span></b></font><div align="center"><font face="helvetica" size="4"><b><span class="link" data-to="bubble_8" data-mold="invisible">About<br /><br /></span></b></font></div><div align="center"><font face="helvetica" size="4"><b><span class="link" data-to="bubble_2" data-mold="invisible">Contact</span></b></font><br /></div>
</content>


</bubble>

<bubble name="bubble_5_3" position="0 2360.197890169913" size="300 500" mold="rounded" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1006" parallaxBackground="index_html/images/eclipse.png">
<content>
<br /><div><h3 style="text-align: center;"><font face="helvetica">Offrez à vos clients une expérience de navigation unique</font></h3><div><font face="helvetica"><br /></font></div><div><font face="helvetica">Dans un monde qui encourage la passivité, où l’interaction avec l’utilisateur se résume à scroller et où tous les sites se ressemblent, proposez à vos clients une interface dynamique et active pour vos sites web !<br /></font></div></div><div><font face="helvetica"><br /></font></div><div><font face="helvetica"><br /></font></div><div><div><div style="text-align: center;"><img src="/index_html/images/ave-709241_1280.jpg" alt="ave-709241_1280.jpg" width="50%"> </div><br /></div><br /><div style="text-align: center;"><font size="6"><br /><span class="link" data-to="bubble_27">&gt;</span></font></div></div><div><font face="helvetica"><br /></font></div><div><font face="helvetica"><br /></font></div><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>


</bubble>

<bubble name="bubble_7_4" position="1823.7626721922484 961.1690899455385" size="300 500" mold="rounded" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1007">
<content>
<br /><div><h3 style="text-align: center;"><font face="helvetica">Le futur du web n’attend que vous !</font></h3><div><font face="helvetica"><br /><br /></font></div><div><font face="helvetica">aotra, c’est un CMS qui propose une autre vision du web, plus simple, plus active et plus vaste...voulez-vous faire partie des pionniers et tenter l’aventure maintenant ?</font></div></div><div><font face="helvetica"><br /></font></div><div><font face="helvetica"><br /></font></div><div style="text-align: center;"><img src="/index_html/images/connect-20333_1280.jpg" alt="connect-20333_1280.jpg" width="50%"> <font face="helvetica"><br /></font></div><div style="text-align: center;"><br /></div><div style="text-align: center;"><font face="helvetica" size="5"><br /><span class="link" data-to="bubble_2" data-mold="invisible">Nous contacter</span></font></div><div style="text-align: center;"><br /></div><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>
<content language="en">
<br /><div><h3 style="text-align: center;"><font face="helvetica">The future of the web is waiting for you!</font></h3><div><font face="helvetica"><br /><br /></font></div><div><font face="helvetica">aotra, is a CMS that proposes another vision of the web, simpler, more active, and more vast to explore...Do you want to be part of the pionneers and try the adventure now ?</font></div></div><div><font face="helvetica"><br /></font></div><div><font face="helvetica"><br /></font></div><div style="text-align: center;"><img src="/index_html/images/connect-20333_1280.jpg" alt="connect-20333_1280.jpg" width="50%"> <font face="helvetica"><br /></font></div><div style="text-align: center;"><br /></div><div style="text-align: center;"><font face="helvetica" size="5"><br /><span class="link" data-to="bubble_2" data-mold="invisible">Contact us<br /></span></font></div><div style="text-align: center;"><br /></div><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>


</bubble>

<bubble name="bubble_8_5" position="-2659.055491961966 -45.68760649650976" size="400 400" mold="squared" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1008">
<content>
<br /><br /><div><div style="text-align: center;"><img src="index_html/images/photoRaton.png" alt="photoRaton.png" width="50%"><br /><br /><div align="left"><br /></div></div><div style="text-align: left;"><font face="helvetica"><br />Bonjour, je m’appelle Jérémie Ratomposon, et je suis un inventeur mordu de technologies depuis mon tout jeune âge.<br /><br />J’ai fini par devenir développeur web professionnel, étant tombé dans ces technologies depuis leur émergence il y quelques dizaines d’années.<br /><br />J’ai créé ce CMS pour deux raisons principales :<br />- J’en avais assez des sites à scrolling, je voulais essayer et proposer autre chose. Pourquoi ne pas t</font><font face="helvetica"><font face="helvetica">irer parti de l’idée de <i>canvas infini </i>conceptualisé par Scott Mac Cloud, par exemple ?<br /><br /></font>- Malgré que tous les sites web finissent par se ressembler, ils demandent une infrastructure toujours plus importante (en bande passante, en capacité de stockage, en technologies employées...il suffit de voir <a href="https://hackernoon.com/how-it-feels-to-learn-javascript-in-2016-d3a717dd577f#.tpftxrr3s" title="" target="_blank">tous les frameworks </a>qu’il faut maîtriser ces temps-ci avant de pouvoir publier la moindre page HTML). Aotra ne demande que l’installation de 3 fichiers dont 2 optionnels : un pour la page, un pour le front-end (client) et un pour le backend (serveur). Par exemple la migration d’un site est triviale puisque tout réside dans le transfert du fichier de la page et éventuellement de son répertoire de medias. Pas de base de donnée nécessaire ni même de serveur PHP.<br /><br /> </font><br /></div><br /></div><br /><br />
</content>


</bubble>

<bubble name="bubble_2_6" position="2601.1929585640155 -45.68760649650976" size="300 300" mold="squared" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1009" parallaxBackground="index_html/images/office-432672_1280.jpg">
<content>
<br /><div><div style="text-align: left;"><span style="font-family: helvetica;"><br /></span></div><div style="text-align: left;"><span style="font-family: helvetica;"><div><div style="text-align: center;"><img src="index_html/images/iphone-388387_1280.jpg" alt="iphone-388387_1280.jpg" width="60%"> </div><br /></div></span></div><div style="text-align: left;"><span style="font-family: helvetica;"><br /></span></div><div style="text-align: left;"><font face="helvetica">N’hésitez pas à nous contacter pour obtenir un devis ou une offre de partenariat.</font></div><div><font face="helvetica"><br /></font></div><div><font face="helvetica">Courriel :</font></div><div><font face="helvetica"><br /></font></div><div><font face="helvetica"><b>admin AT alqemia.com</b></font></div><div><br /></div><div><br /></div><br /></div><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>
<content language="en">
<font face="helvetica"><br /></font><div><div style="text-align: left;"><font face="helvetica"><br /></font></div><div style="text-align: left;"><div><div style="text-align: center;"><font face="helvetica"><img src="index_html/images/iphone-388387_1280.jpg" alt="iphone-388387_1280.jpg" width="60%"> </font></div><font face="helvetica"><br /></font></div></div><div style="text-align: left;"><font face="helvetica"><br /></font></div><div style="text-align: left;"><font face="helvetica">I would be glad to get in touch with you !</font></div><div><font face="helvetica"><br /></font></div><div><font face="helvetica">Email :</font></div><div><font face="helvetica"><br /></font></div><div><font face="helvetica"><b>admin AT alqemia.com</b></font></div><div><font face="helvetica"><br /><br />Twitter : <br /><br /><span class="DashboardProfileCard-screenname u-inlineBlock u-dir" dir="ltr"><a class="DashboardProfileCard-screennameLink u-linkComplex u-linkClean" href="https://twitter.com/JRatompo">@<span class="u-linkComplex-target">JRatompo</span></a><br /><br /><br />Facebook :<br /><br /><a target="_blank" title="" href="https://www.facebook.com/aotracode">https://www.facebook.com/aotracode</a><br /></span></font></div><div><font face="helvetica"><br /></font></div><font face="helvetica"><br /></font></div><font face="helvetica"><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /></font>
</content>


</bubble>

<bubble name="bubble_1_7" position="-20 -2155.6470724765422" size="300 300" mold="rounded" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1010">
<content>
<br /><h3><font face="helvetica">Le CMS</font></h3><p><font face="helvetica">Aotra est un CMS complet asynchrone : l’utilisateur fait ses modifications puis peut les sauvegarder à tout moment sur le serveur.</font></p><p><font face="helvetica">Il offre de nombreuses fonctionnalités natives comme l’encryptage pour protéger l’accès aux pages, la recherche dans la page et l’insertion de nombreux types de médias. De plus des plugins peuvent être ajoutés pour simplifier la vie au responsable du contenu et fournir la meilleure expérience utilisateur.<br /></font></p><h3><font face="helvetica">Le framework de tests intégré</font></h3><p><font face="helvetica">Afin de garantir une qualité optimale, aotra vient avec son framework de tests unitaires en javascript intégré, <i>aotratest</i>. Vous pouvez voir des <span class="link" data-to="bubble_6">exemples d’utilisation ici</span>.<br /></font></p><p><font face="helvetica"><br /></font></p><p><font face="helvetica"><br /></font></p><p><font face="helvetica"><br /></font></p><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>


</bubble>

<bubble name="bubble_6_8" position="1019.0428270204229 -2143.5007472044226" size="300 300" mold="squared" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1011">
<content>
<br /><b><font face="helvetica">Exemples d’utilisation de l’aotratest</font></b><font face="helvetica"><br /><br />L’aotratest permet de tester des fonctions javascript en indiquant les scenarii de tests dans la définition même de celle-ci. Ainsi la description des tests qui est très naturelle permet de servir à la fois de cas de tests et de spécifications pour la fonction. Plus besoin de maintenir une arborescence parallèle pour les tests ! <br /><br />Les tests se trouvent là où la fonction est définie et servent en même temps de spécification et d’exemples de comportement attendu par la fonction ou la méthode.<br /><br /><i><u>Exemples:</u></i><br /></font><font face="trebuchet ms"><br /><span class="link" data-to="bubble_11">Data and treatments testing</span></font><br /><pre><code><pre style="word-wrap: break-word; white-space: pre-wrap;"><font face="trebuchet ms"><span class="link" data-to="bubble_12">Advanced unit testing</span></font><br /></pre></code></pre><span class="link" data-to="bubble_13"><font face="helvetica">Calls and errors monitoring</font></span><div><br /></div><div><font face="helvetica"><span class="link" data-to="bubble_14">Imbriqued tests</span></font><pre style="word-wrap: break-word; white-space: pre-wrap;"><font face="helvetica"><span class="link" data-to="bubble_15">User UI testing</span></font></pre><br /><br /><br /><br /></div><br /><br /><br /><br /><br /><br /><br /><br />
</content>


</bubble>

<bubble name="bubble_9_9" position="778.340198041755 1371.7313417657008" size="300 300" mold="rounded" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1012">
<content>
<h2><font face="helvetica">Licence</font></h2><font face="helvetica"><br />Aotra est entièrement Open-Source,<br />sous licence <a target="" title="Licence HGPL" href="https://alqemia.com#bubble_20">HGPL</a>.<br /></font><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>


</bubble>

<bubble name="bubble_10_10" position="1376.6959514072796 -126.92181758664601" size="300 600" mold="rounded" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1013">
<content>
<br /><br /><br />Aotra est un CMS open-source CMS (utilisant la licence Humanitaire GPL) qui souhaite proposer un nouveau et complètement différent paradigme, autant en tant qu’expérience utilisateur que dans la façon de concevoir des sites web.<br /><br />Basé sur la simplicité, les animations graphiques, un espace infini et une interface la plus intuitive possible, ce CMS repose cependant sur une plateforme portable, légère, et minimaliste.<br /><br />Aotra inclut également son propre framework de tests unitaires en javascript, aotest.<br /><br />Les prochains développements d’aotra veulent l’amener vers une solution totale et complète, apte à supporter des applications de classe industrielle.<br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>
<content language="en">
<br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />Aotra is an open-source CMS (using the Humanitary GPL Licence) that intends to propose another and completly new way to experiment web sites as a user and to develop them as a web designer.<br /><br />Based on simplicity, graphical animations, infinite canvas and the most user-friendly interface, it is thought powered by a very portable, minimalistic and light-weigth required infrastructure, depending massively on the power of jQuery and PHP language.<br /><br />Aotra also embeds aotest a very simple and usable javascript unit testing framework.<br /><br />Aotra further developpments aim to make it a total plateform, to create complete entreprise-class applications.<br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>


</bubble>

<bubble name="bubble_11" position="1732.1430633954412 -2143.5007472044226" size="773 573" mold="squared" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1014">
<content>
<br /><br /><br /><br /><pre>// Data and treatments testing :<br /> // Examples :<br /> var addPoints2DCoordinates=aotest(<br /> // Tests definition<br /> {<br /> // Tested function/method name :<br /> name:"addPoints2DCoordinates’<br /> // Dummies :<br /> ,dummies:function(){<br /> var result=new Object();<br /> result.pDummy1=new Object();<br /> result.pDummy1.x=20;<br /> result.pDummy1.y=10;<br /> result.pDummy2=new Object();<br /> result.pDummy2.x=60;<br /> result.pDummy2.y=40;<br /><br /> return result;<br /> }<br /> // Normal scenarii :<br /> ,scenarioNormal1:[ [{dummy:"pDummy1"},{dummy:"pDummy2"}], function(result){ return result.x===80 &amp;&amp; result.y===50; } ]<br /> ,scenarioNormal2:[ [{dummy:"pDummy1"},{dummy:"pDummy2"}], {asserts:"success"} ]<br /> // Abnormal scenarii :<br /> ,scenarioParameter1IsNull:[ [null,{dummy:"pDummy2"}], {asserts:"fail"} ] <br /> ,scenarioParameter2IsNull:[ [{dummy:"pDummy1"},null], {asserts:"fail"} ]<br /> }<br /><br /> // Function definition<br /> ,function(p1,p2){<br /> var result=new Object();<br /> aotest.assert(p1===null,"fail");<br /> aotest.assert(p2===null,"fail");<br /> result.x=p1.x+p2.x;<br /> result.y=p1.y+p2.y;<br /> return result;<br /> }<br /> );<br /><br /><br /><br /></pre><br /><br /><br /><br /><br /><br /><br /><br /><br />
</content>


</bubble>

<bubble name="bubble_12" position="1019.0428270204229 -1451.0788722044238" size="747 547" mold="squared" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1015">
<content>
<br /><br /><br /><br /><pre style="word-wrap: break-word; white-space: pre-wrap;">// Advanced unit testing :<br /><pre> function less(a,b){<br /> if(!a || !b) throw "Arguments must be non-null !";<br /> return a-b;<br /> }<br /> function add(a,b){<br /> return a+b;<br /> }<br /> function multiply(a,b){<br /> var result=0;<br /> for(var i=0;i&lt;b;i++) result+=a;<br /> return result;<br /> }<br /> // - Calls and errors throws monitored tests :<br /> aotest({<br /> name:"multiply’<br /> ,scenario1:{values:[[2,5],10],calls:{multiply:1,add:1,less:0}}<br /> ,scenario2:{values:[[2,null],{asserts:"fail"}],calls:{multiply:1,add:"throw",less:0}}<br /> },multiply);<br /> aotest({<br /> name:"less’<br /> ,scenario1:{values:[[2,5],-3],calls:{multiply:0,add:0,less:1}}<br /> },less);<br /> // Another case, to illustrate that when null paramaters passed, instead of empty array, mean we don’t want to execute the tested function / method as the main testing routine<br /> less=aotest({},less);<br /> multiply=aotest({},multiply);<br /> add=aotest({<br /> scenarAddTrack1:{values:[null,function(){ return multiply(2,10)===20; }],calls:{multiply:1,add:10,less:0}}<br /> ,scenarAddTrack2:{values:[null,function(){ return multiply(2,10)===20; }],calls:{multiply:1,add:10,less:0}}<br /> ,scenarAddTrack3:[null,function(){return true;}]<br /> },add);<br /><br /> function less(a,b){<br /> if(!a || !b) throw "Arguments must be non-null !";<br /> return a-b;<br /> }<br /> function add(a,b){<br /> aotest.assert(a!==null &amp;&amp; b!==null,"success");<br /> return a+b;<br /> }<br /> function multiply(a,b){<br /> var result=0;<br /> for(var i=0;i&lt;b;i++) result=add(result,a);<br /> return result;<br /> }</pre></pre><br /><br /><br /><br /><br /><br /><br /><br />
</content>


</bubble>

<bubble name="bubble_13" position="925.5985910478912 -2942.009648513258" size="800 600" mold="squared" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1016">
<content>
<br /><br /><br /><br /><br /><br /><br /><br /><pre style="word-wrap: break-word; white-space: pre-wrap;">// CAUTION : If no assert is declared and your test expect asserts to fail, then you test will fail.<br /><pre> // But, if you have no assert in your test and expect asserts to success, then your test will succeed.<br /> // It is because you can see asserts as obstacles to your test success : <br /> // So if there is no obstacle to its success, then there is will be no reason for it not to succeed !<br /><br /> // - Calls and errors throws monitored tests :<br /> less=aotest({},less);<br /> add=aotest({},add);<br /> aotest({<br /> //,scenario1:{values:[[2,20],40],calls:{multiply:1,add:20,less:0}}<br /> //,scenario2:{values:[[null,2],{asserts:"fail"}],calls:{multiply:1,add:"throw",less:0}}<br /> scenario3:{values:[[4,3],{asserts:"success"}],calls:{multiply:1,add:3,less:0}}<br /> },multiply);<br /><br /> // Yet another example for calls and throws monitoring :<br /> function less(a,b){<br /> if(!a || !b) throw "Arguments must be non-null !";<br /> return a-b;<br /> }<br /> function add(a,b){<br /> aotest.assert(a!==null &amp;&amp; b!==null,"success");<br /> return a+b;<br /> }<br /> function multiply(a,b){<br /> var result=0;<br /> for(var i=0;i&lt;b;i++) result=add(result,a);<br /> return result;<br /> }<br /><br /> // - Calls and errors throws monitored tests :<br /> less=aotest({},less);<br /> add=aotest({},add);<br /> aotest({<br /> //,scenario1:{values:[[2,20],40],calls:{multiply:1,add:20,less:0}}<br /> //,scenario2:{values:[[null,2],{asserts:"fail"}],calls:{multiply:1,add:"throw",less:0}}<br /> scenario3:{values:[[4,3],{asserts:"success"}],calls:{multiply:1,add:3,less:0}}<br /> },multiply);<br /></pre></pre><br /><br /><br /><br /><br /><br /><br /><br />
</content>


</bubble>

<bubble name="bubble_14" position="1895.0625058853075 -1436.402811076361" size="700 300" mold="squared" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1017">
<content>
<br /><br /><br /><br /><br /><br /><br /><br /><pre style="word-wrap: break-word; white-space: pre-wrap;">// -Imbriqued tests :<br /><pre> aotest({<br /> name:"multiplyNested’<br /> ,scenario1Nested:{values:[[2,5],10],subs:{<br /> scenario1Sub:[[100,5],500]<br /> ,scenario2Sub:{values:[[10,10],100],subs:{<br /> scenario1SubSub:[[1000,1000],1000000]<br /> }<br /> }<br /> }<br /> }<br /> },multiply);</pre></pre><br /><br /><br /><br /><br /><br /><br /><br />
</content>


</bubble>

<bubble name="bubble_15" position="2015.7217720752217 -2801.841757143141" size="800 600" mold="squared" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" zIndex="1018">
<content>
<br /><pre style="word-wrap: break-word; white-space: pre-wrap;">// User UI testing :<br /><pre> aotest(<br /> {<br /> name:"getAotraScreen’<br /> ,scenario1:[ [],function(){ return getAotraScreen()!==null;} ]<br /> }<br /> );<br /> aotest(<br /> {<br /> name:"editionProvider’<br /> ,scenarioCreateBubble:[ [],function(){ <br /> var aotraScreen=getAotraScreen();<br /><br /> var activePlane=aotraScreen.getActivePlane();<br /> aotest.assert(activePlane===null,"fail");<br /><br /> var oldBubblesNumber=activePlane.getBubbles().length;<br /><br /> aotest.assert(typeof jQuery==="undefined","fail");<br /><br /> var createButtonS=jQuery(".icon.addBubbleBtn");<br /> aotest.assert(empty(createButtonS.get()),"fail");<br /> createButtonS.click();<br /><br /> aotest.assert(typeof aotraScreen.mainDiv==="undefined","fail");<br /><br /> var mainDivS=jQuery(aotraScreen.mainDiv);<br /> aotest.assert(empty(mainDivS.get()),"fail");<br /> mainDivS.click();<br /><br /> var applyButtonS=jQuery("#buttonSaveAndCloseBubble");<br /> aotest.assert(empty(applyButtonS.get()),"fail");<br /> applyButtonS.click();<br /><br /> var newBubblesNumber=activePlane.getBubbles().length;<br /><br /> return newBubblesNumber===oldBubblesNumber+1;<br /> } ]<br /> ,scenarioAsserts:[ [], {asserts:"success"} ]<br /> }<br /> );</pre></pre><br /><br /><br /><br /><br /><br /><br /><br />
</content>


</bubble>

<bubble name="bubble_16_11" position="0 0" size="300 300" mold="circle" fontSize="12" color="#ffffff" borderStyle="solid black 2px" openCloseAnimation="linear" openedOnCreate="true" homeBubble="true" zIndex="1019">
<content>
<h2><br /></h2><h2><br /></h2><h2><font face="impact"><br /><span class="link" data-to="bubble_24">Vous attendez quoi pour vous démarquer ?!</span></font></h2>
</content>
<content language="en">
<br /><h2><br /></h2><p><br /></p><h2><font face="impact"><br /><span class="link" data-to="bubble_24">What are you waiting for to stand up the crowd?!</span></font></h2>
</content>


</bubble>


</plane>


</aotraScreen>


</script>
</body>
</html>
